Hello everyone.

The Mixed Reality Forums here are no longer being used or maintained.

There are a few other places we would like to direct you to for support, both from Microsoft and from the community.

The first way we want to connect with you is our mixed reality developer program, which you can sign up for at https://aka.ms/IWantMR.

For technical questions, please use Stack Overflow, and tag your questions using either hololens or windows-mixed-reality.

If you want to join in discussions, please do so in the HoloDevelopers Slack, which you can join by going to https://aka.ms/holodevelopers, or in our Microsoft Tech Communities forums at https://techcommunity.microsoft.com/t5/mixed-reality/ct-p/MicrosoftMixedReality.

And always feel free to hit us up on Twitter @MxdRealityDev.

Unity 2017.2b7 and b8 broke hololens apps ?

Using Unity 2017.2.b7 or b8 to build the MR 250 immersive apps is working as expected but I noticed that the HoloLens apps are seeing black screen. To isolate problems, I created a simple scene project for HoloLens and got the same results. Note: Unity 2017.2.b6 or older works fine for the HoloLens apps.

Does anyone see this issues ? or just me ?

Best Answer

  • Accepted Answer

    This is a known issue called out in the Unity Release Notes....

    XR: Windows Mixed Reality usage on b7 results in hangs and black screens at start-up. This has been fixed in b8 for VR HMDs, but is still an issue for HoloLens.

Answers

  • Accepted Answer

    This is a known issue called out in the Unity Release Notes....

    XR: Windows Mixed Reality usage on b7 results in hangs and black screens at start-up. This has been fixed in b8 for VR HMDs, but is still an issue for HoloLens.

  • I see. Thanks for the reply!

  • wait so latest version Ive just installed 2017.2.0b8 wont work in hololens? aaagh on my third version of unity now to try run the hololens academy 101 tutorial. Nothing is same or works!! spent half a day upgrading windows 10 creators edition insider program gubbins and it still doesnt work! Please. can someone have a link to an updated 101 hololens tutorial and which actual version of Unity works????

  • For HoloLens development I would recommend staying on Unity 5.6 at this time. 2017 is still too broken. That said, you need to make sure that you do not upgrade your Visual Studio 2017 to the 15.3 update, you want to stay on just straight Visual Studio 2017 (15.0).

    You can get to Unity 5.6 on this page - https://unity3d.com/get-unity/download/archive

  • @tekano_bob - I just saw that Unity has released a patch for 2017.1.0 that makes it compatible with Visual Studo 2017 update 3(15.3), so that is also an option.

    Patch release found here - https://unity3d.com/unity/qa/patch-releases

  • Building immersive apps is fine but Hololens apps are broken in 2017.2 latest version.

    There is also another sticky dependency issue in 2017.2.
    The b8 introduced breaking API changes in MR sdk such that it broke the MR 250 and holotoolkit for 2017.2 for 2017.2 branch.
    The MR 250 has been updated to build ok with 2017.2b8 but I don't know if it's backward compatible with previous version of unity. Hope the upcoming b9 will fix this mess for good.
  • OK thanks @Jesse_McCulloch I will give both a shot. broken from both ends it seems and plenty of hoops still left to jump

  • OK so Visual studio is currently 15.3x and had already tried a 2015 version with no success so will try to stay current with visual studio and use the latest patch for Unity to see if this will let me build the simplest 101 of apps., today August 25th 2017 Agree, what a mess

  • @ahalim - 250 has only ever been compatible with 2017.2.0bX because that's the first version of Unity to support the Immersive Headsets. And yes, there is currently a bug in it that makes HoloLens apps just render a black screen. Hoping that, and the C# Projects bug get worked out in b9...

    This all got more complicated with first the security issue Unity found in all versions causing an intermediate patch that broke stuff, and then there was the scripting backend issue that has plagued them since, where versions were not playing nice with Visual Studio 2017.3.

    Sadly, it's been a mess that has got lots of developers frustrated because it's hard to find a good, usable version. If you want to do Immersive Headset stuff, there is no good version that lets you do both that and HoloLens at the moment.

  • Agreed with your comments. I was excited in the beginning with 2017.2 as it was supposed to be the tools for unified immersive/Hololens app dev env until the issues started to come out one by one. Lost many hours of productivities because of this.
Sign In or Register to comment.